{
  "name": "random-contact-list",
  "version": "0.0.1",
  "description": "random contact list app",
  "keywords": [
    "react",
    "html5",
    "css",
    "scss",
    "webpack"
  ],
  "license": "MIT",
  "author": "Stanislav Levchuk",
  "scripts": {
    "start": "cross-env NODE_ENV=development webpack serve --config ./configs/webpack.dev.js",
    "build": "cross-env NODE_ENV=production webpack --config ./configs/webpack.prod.js",
    "eslint": "eslint --fix 'src/**/*.{js,jsx}'",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage"
  },
  "lint-staged": {
    "src/**/*.{js,jsx}": [
      "node_modules/.bin/eslint --max-warnings=0",
      "prettier --write"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "devDependencies": {
    "@babel/core": "^7.12.1",
    "@babel/plugin-proposal-class-properties": "^7.12.1",
    "@babel/plugin-transform-runtime": "^7.12.1",
    "@babel/preset-env": "^7.12.1",
    "@babel/preset-react": "^7.12.1",
    "@testing-library/react": "^11.1.0",
    "@testing-library/user-event": "^12.1.10",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.1.0",
    "cross-env": "^7.0.2",
    "css-loader": "^5.0.0",
    "css-minimizer-webpack-plugin": "^1.1.5",
    "eslint": "^7.12.1",
    "eslint-config-airbnb": "^18.2.0",
    "eslint-config-prettier": "^6.15.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-import-resolver-webpack": "^0.13.0",
    "eslint-loader": "^4.0.2",
    "eslint-plugin-babel": "^5.3.1",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jest-dom": "^3.2.4",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.1.4",
    "eslint-plugin-react": "^7.21.5",
    "eslint-plugin-testing-library": "^3.10.0",
    "file-loader": "^6.2.0",
    "husky": "^4.3.0",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^26.6.1",
    "lint-staged": "^10.5.0",
    "mini-css-extract-plugin": "^1.0.0",
    "msw": "^0.21.3",
    "node-sass": "^4.14.1",
    "postcss-loader": "^4.0.4",
    "postcss-preset-env": "^6.7.0",
    "prettier": "^2.1.2",
    "react-hot-loader": "^4.13.0",
    "sass-loader": "^10.0.3",
    "style-loader": "^2.0.0",
    "webpack-cli": "^4.0.0",
    "webpack-dev-server": "^3.11.0"
  },
  "dependencies": {
    "@babel/polyfill": "^7.12.1",
    "@testing-library/jest-dom": "^5.11.5",
    "@testing-library/react-hooks": "^3.4.2",
    "clean-webpack-plugin": "^3.0.0",
    "copy-webpack-plugin": "^6.2.1",
    "html-webpack-plugin": "^4.5.0",
    "node-fetch": "^2.6.1",
    "normalize-scss": "^7.0.1",
    "normalize.css": "^8.0.1",
    "optimize-css-assets-webpack-plugin": "^5.0.4",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "react-test-renderer": "^17.0.1",
    "terser-webpack-plugin": "^5.0.0",
    "webpack": "^5.1.3"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead"
    ]
  },
  "jest": {
    "setupFilesAfterEnv": [
      "@testing-library/jest-dom/extend-expect",
      "<rootDir>/src/setupTests.js"
    ],
    "moduleNameMapper": {
      "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/__mocks__/fileMock.js",
      "\\.(css|scss)$": "identity-obj-proxy"
    }
  }
}
